package com.liquidnet.service.kylin.dto.param.ticketSystem;

import com.liquidnet.service.kylin.dto.vo.ticketSystem.STFieldListVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
@ApiModel(value = "STDelTicketPriceParam", description = "详情")
public class STDelTicketPriceParam implements Cloneable{
    @ApiModelProperty(value = "演出ID [必传]")
    String performanceId;
    @ApiModelProperty(value = "场次编码 [必传]")
    String sessionCode;
    @ApiModelProperty(value = "票价ID [必传]")
    String priceId;

    private static final STDelTicketPriceParam obj = new STDelTicketPriceParam();

    public static STDelTicketPriceParam getNew() {
        try {
            return (STDelTicketPriceParam) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new STDelTicketPriceParam();
    }
}